GatewayReceiverMXBean (Apache Geode 1.14.2)
Date: 2021-12-14

org.apache.geode.management

## Interface GatewayReceiverMXBean

-     public interface GatewayReceiverMXBean

  MBean that provides access to information and management functionality for a `GatewayReceiver`.
  Since:
    GemFire 7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAverageBatchProcessingTime()` Returns the average batch processing time (in milliseconds).
    `String` | `getBindAddress()` Returns the bind address on the host.
    `int` | `getClientConnectionCount()` Returns the number of sockets accepted and used for client to server messaging.
    `String[]` | `getConnectedGatewaySenders()` Returns a list of the host and port information for gateway senders connected to this gateway receiver.
    `double` | `getConnectionLoad()` Returns the load from client to server connections as reported by the load probe installed in this server.
    `int` | `getConnectionThreads()` Returns the current number of threads handling a client connection.
    `float` | `getCreateRequestsRate()` Returns the rate of create requests received.
    `float` | `getDestroyRequestsRate()` Returns the rate of destroy requests received.
    `int` | `getDuplicateBatchesReceived()` Returns the number of duplicate batches which have been received.
    `int` | `getEndPort()` Returns the configured end port.
    `float` | `getEventsReceivedRate()` Returns the instantaneous rate of events received.
    `String[]` | `getGatewayTransportFilters()` Returns a list of names for the transport filters in use.
    `long` | `getGetRequestAvgLatency()` Returns the average get request latency.
    `float` | `getGetRequestRate()` Returns the rate of get requests.
    `double` | `getLoadPerConnection()` Returns the estimate of how much load is added for each new connection as reported by the load probe installed in this server.
    `double` | `getLoadPerQueue()` Returns the estimate of how much load is added for each new queue as reported by the load probe installed in this server.
    `int` | `getMaximumTimeBetweenPings()` Returns the maximum amount of time between client pings.
    `int` | `getNumGateways()` Returns the number of client virtual machines connected and acting as a gateway.
    `int` | `getOutoforderBatchesReceived()` Returns the number of batches which have been received out of order.
    `int` | `getPort()` Returns the port the receiver is listening on.
    `long` | `getPutRequestAvgLatency()` Returns the average put request latency.
    `float` | `getPutRequestRate()` Returns the rate of put requests.
    `double` | `getQueueLoad()` Returns the load from queues as reported by the load probe installed in this server.
    `int` | `getSocketBufferSize()` Returns the configured buffer size of the socket connection.
    `int` | `getStartPort()` Returns the configured start port.
    `int` | `getThreadQueueSize()` Returns the current number of connections waiting for a thread to start processing their message.
    `int` | `getTotalConnectionsTimedOut()` Returns the total number of client connections that timed out and were closed.
    `int` | `getTotalFailedConnectionAttempts()` Returns the total number of client connection requests that failed.
    `long` | `getTotalReceivedBytes()` Returns the total number of bytes received from clients.
    `long` | `getTotalSentBytes()` Returns the total number of bytes sent to clients.
    `float` | `getUpdateRequestsRate()` Returns the rate of update requests received.
    `boolean` | `isRunning()` Returns whether the receiver is in running state.
    `void` | `start()` Starts the gateway receiver.
    `void` | `stop()` Stops the gateway receiver.

- - ### Method Detail

    - #### getPort

          int getPort()

      Returns the port the receiver is listening on.

    - #### getSocketBufferSize

          int getSocketBufferSize()

      Returns the configured buffer size of the socket connection.

    - #### getBindAddress

          String getBindAddress()

      Returns the bind address on the host.

    - #### getMaximumTimeBetweenPings

          int getMaximumTimeBetweenPings()

      Returns the maximum amount of time between client pings.

    - #### isRunning

          boolean isRunning()

      Returns whether the receiver is in running state.
      Returns:
        True if the receiver is in a running state, false otherwise.

    - #### getEventsReceivedRate

          float getEventsReceivedRate()

      Returns the instantaneous rate of events received.

    - #### getCreateRequestsRate

          float getCreateRequestsRate()

      Returns the rate of create requests received.

    - #### getUpdateRequestsRate

          float getUpdateRequestsRate()

      Returns the rate of update requests received.

    - #### getDestroyRequestsRate

          float getDestroyRequestsRate()

      Returns the rate of destroy requests received.

    - #### getDuplicateBatchesReceived

          int getDuplicateBatchesReceived()

      Returns the number of duplicate batches which have been received.

    - #### getOutoforderBatchesReceived

          int getOutoforderBatchesReceived()

      Returns the number of batches which have been received out of order.

    - #### start

          void start()
              throws Exception

      Starts the gateway receiver.
      Throws:
        `Exception`

    - #### stop

          void stop()
             throws Exception

      Stops the gateway receiver.
      Throws:
        `Exception`

    - #### getStartPort

          int getStartPort()

      Returns the configured start port.

    - #### getEndPort

          int getEndPort()

      Returns the configured end port.

    - #### getGatewayTransportFilters

          String[] getGatewayTransportFilters()

      Returns a list of names for the transport filters in use.

    - #### getClientConnectionCount

          int getClientConnectionCount()

      Returns the number of sockets accepted and used for client to server messaging.

    - #### getNumGateways

          int getNumGateways()

      Returns the number of client virtual machines connected and acting as a gateway.

    - #### getGetRequestAvgLatency

          long getGetRequestAvgLatency()

      Returns the average get request latency.

    - #### getPutRequestAvgLatency

          long getPutRequestAvgLatency()

      Returns the average put request latency.

    - #### getTotalConnectionsTimedOut

          int getTotalConnectionsTimedOut()

      Returns the total number of client connections that timed out and were closed.

    - #### getTotalFailedConnectionAttempts

          int getTotalFailedConnectionAttempts()

      Returns the total number of client connection requests that failed.

    - #### getThreadQueueSize

          int getThreadQueueSize()

      Returns the current number of connections waiting for a thread to start processing their message.

    - #### getConnectionThreads

          int getConnectionThreads()

      Returns the current number of threads handling a client connection.

    - #### getConnectionLoad

          double getConnectionLoad()

      Returns the load from client to server connections as reported by the load probe installed in this server.

    - #### getLoadPerConnection

          double getLoadPerConnection()

      Returns the estimate of how much load is added for each new connection as reported by the load probe installed in this server.

    - #### getQueueLoad

          double getQueueLoad()

      Returns the load from queues as reported by the load probe installed in this server.

    - #### getLoadPerQueue

          double getLoadPerQueue()

      Returns the estimate of how much load is added for each new queue as reported by the load probe installed in this server.

    - #### getGetRequestRate

          float getGetRequestRate()

      Returns the rate of get requests.

    - #### getPutRequestRate

          float getPutRequestRate()

      Returns the rate of put requests.

    - #### getTotalSentBytes

          long getTotalSentBytes()

      Returns the total number of bytes sent to clients.

    - #### getTotalReceivedBytes

          long getTotalReceivedBytes()

      Returns the total number of bytes received from clients.

    - #### getConnectedGatewaySenders

          String[] getConnectedGatewaySenders()

      Returns a list of the host and port information for gateway senders connected to this gateway receiver.

    - #### getAverageBatchProcessingTime

          long getAverageBatchProcessingTime()

      Returns the average batch processing time (in milliseconds).